/*
 * @author lsy
 * @date   2019-09-29
 **/
import 'package:gmalpha_flutter/BuriedLib/BuriedRouter.dart';
import 'package:gmalpha_flutter/BuriedLib/buried/BuriedCenter.dart';

class BuriedImpl implements BuriedRouter {
  @override
  void onPageEnd(String page_name, String inPage, String outPage,
      {String fake,
      String business_id,
      String referrer,
      String referrer_id,
      String extra_param,
      String referrer_tab_name,
      String isPush}) {
    print("lsy !! PAGE END ");
    BuriedCenter.getInstance().onPageEnd(page_name, inPage, outPage,
        fake: fake,
        business_id: business_id,
        referrer: referrer,
        referrer_id: referrer_id,
        extra_param: extra_param,
        referrer_tab_name: referrer_tab_name,
        isPush: isPush);
  }

  @override
  void onEvent(String type, Map<String, String> params) {
    BuriedCenter.getInstance().onEvent(type, params);
    print("lsy !! ON EVENT --> ");
  }

  @override
  void onClick(String pageName, String buttonName) {
    print("lsy !! ON CLICK  ");
    BuriedCenter.getInstance().onEvent(
        "CLICK_EVENT", {"page_name": pageName, "button_name": buttonName});
  }
}
